import * as React from 'react';
import React__default from 'react';
import { cy as Icon } from './MapEditView-f6381866.js';

function _typeof(obj) { "@babel/helpers - typeof"; return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) { return typeof obj; } : function (obj) { return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }, _typeof(obj); }
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return _typeof(key) === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (_typeof(input) !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (_typeof(res) !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
var generateComp = function generateComp(svgRef) {
  return function () {
    return /*#__PURE__*/React.createElement("svg", {
      width: "1em",
      height: "1em",
      viewBox: "0 0 48 48",
      fill: "currentColor",
      xmlns: "http://www.w3.org/2000/svg",
      focusable: false,
      "aria-hidden": "true",
      ref: svgRef
    }, /*#__PURE__*/React.createElement("path", {
      d: "M13.04 10.21a2 2 0 10-2.83 2.83l11.42 11.418L10.67 35.42a2 2 0 102.828 2.829l10.96-10.961 10.503 10.502a2 2 0 102.828-2.828L27.287 24.458l10.96-10.96a2 2 0 00-2.828-2.829L24.46 21.63l-11.42-11.418z",
      fill: "currentColor"
    }));
  };
};
var SvgClose = function SvgClose(props, svgRef) {
  var newProps = _objectSpread(_objectSpread({}, props), {}, {
    name: "SvgClose"
  });
  return /*#__PURE__*/React.createElement(Icon, _objectSpread(_objectSpread({}, newProps), {}, {
    component: generateComp(svgRef)
  }));
};
var ForwardRef = /*#__PURE__*/React.forwardRef(SvgClose);

const BottomWrapper = (props) => {
    return (React__default.createElement("div", { className: "dm-map-mobile-bottom-wrapper" },
        React__default.createElement("div", { className: "dm-map-mobile-bottom-wrapper-header" },
            React__default.createElement("div", null, props.title),
            React__default.createElement("div", { className: "dm-map-mobile-bottom-wrapper-header-des" }, props.des),
            (props === null || props === void 0 ? void 0 : props.icon) ? (props.icon) : (React__default.createElement(ForwardRef, { onClick: props.iconClick, className: "dm-map-mobile-bottom-wrapper-header-icon" }))),
        props.children));
};

export { BottomWrapper as B };
